For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
          • V3
                • GETGet Store Metafield
                • PUTUpdate Store Metafield
                • DELDelete Metafield
          • V2
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementStore InformationV3Metafields

Get Store Metafield

GET
https://api.bigcommerce.com/stores/:store_hash/v3/store/metafields/:metafieldId
GET
/stores/:store_hash/v3/store/metafields/:metafieldId
$curl https://api.bigcommerce.com/stores/store_hash/v3/store/metafields/1 \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "permission_set": "app_only",
4 "date_created": "2022-06-16T18:39:00+00:00",
5 "date_modified": "2022-06-16T18:39:00+00:00",
6 "description": "order",
7 "id": "string",
8 "key": "Staff Name",
9 "namespace": "Sales Department",
10 "owner_client_id": "asdfasdfasdfasdfasdfasdfasdf",
11 "resource_id": "0",
12 "resource_type": "store",
13 "value": "Ronaldo"
14 },
15 "meta": {}
16}

Gets a store metafield.

Was this page helpful?
Previous

Delete Multiple Metafields

Next

Update Store Metafield

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

metafieldIdintegerRequired

The ID of the Metafield.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

A Metafield object.

dataobject
Allows app partners to write custom data to various resources in the API.
metaobject
Response metadata.

Errors

404
Not Found Error

The MIME type of the response body.